org.apache.http.impl.conn

## Class DefaultClientConnection

- java.lang.Object
- - org.apache.http.impl.AbstractHttpClientConnection
  - - org.apache.http.impl.SocketHttpClientConnection
    - - org.apache.http.impl.conn.DefaultClientConnection

- All Implemented Interfaces:
    Closeable, AutoCloseable, ManagedHttpClientConnection, OperatedClientConnection, org.apache.http.HttpClientConnection, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, org.apache.http.protocol.HttpContext

  Deprecated.
  (4.3) use `ManagedHttpClientConnectionFactory`.

      @Deprecated
      public class DefaultClientConnection
      extends org.apache.http.impl.SocketHttpClientConnection
      implements OperatedClientConnection, ManagedHttpClientConnection, org.apache.http.protocol.HttpContext

  Default implementation of an operated client connection.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientConnection()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(Socket socket)` Deprecated. Binds this connection to the given socket.
    `void` | `close()` Deprecated.
    `protected org.apache.http.io.HttpMessageParser<org.apache.http.HttpResponse>` | `createResponseParser(org.apache.http.io.SessionInputBuffer buffer, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.params.HttpParams params)` Deprecated.
    `protected org.apache.http.io.SessionInputBuffer` | `createSessionInputBuffer(Socket socket, int bufferSize, org.apache.http.params.HttpParams params)` Deprecated.
    `protected org.apache.http.io.SessionOutputBuffer` | `createSessionOutputBuffer(Socket socket, int bufferSize, org.apache.http.params.HttpParams params)` Deprecated.
    `Object` | `getAttribute(String id)` Deprecated.
    `String` | `getId()` Deprecated. Returns connection ID which is expected to be unique for the life span of the connection manager.
    `Socket` | `getSocket()` Deprecated. Obtains the socket for this connection.
    `SSLSession` | `getSSLSession()` Deprecated. Obtains the SSL session of the underlying connection, if any.
    `org.apache.http.HttpHost` | `getTargetHost()` Deprecated. Obtains the target host for this connection.
    `boolean` | `isSecure()` Deprecated. Indicates whether this connection is secure.
    `void` | `openCompleted(boolean secure, org.apache.http.params.HttpParams params)` Deprecated. Signals that the connection has been successfully open.
    `void` | `opening(Socket sock, org.apache.http.HttpHost target)` Deprecated. Signals that this connection is in the process of being open.
    `org.apache.http.HttpResponse` | `receiveResponseHeader()` Deprecated.
    `Object` | `removeAttribute(String id)` Deprecated.
    `void` | `sendRequestHeader(org.apache.http.HttpRequest request)` Deprecated.
    `void` | `setAttribute(String id, Object obj)` Deprecated.
    `void` | `shutdown()` Deprecated. Force-closes this connection.
    `void` | `update(Socket sock, org.apache.http.HttpHost target, boolean secure, org.apache.http.params.HttpParams params)` Deprecated. Updates this connection.

    - ### Methods inherited from class org.apache.http.impl.SocketHttpClientConnection

      `assertNotOpen, assertOpen, bind, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSocketTimeout, isOpen, setSocketTimeout, toString`

    - ### Methods inherited from class org.apache.http.impl.AbstractHttpClientConnection

      `createConnectionMetrics, createEntityDeserializer, createEntitySerializer, createHttpResponseFactory, createRequestWriter, doFlush, flush, getMetrics, init, isEof, isResponseAvailable, isStale, receiveResponseEntity, sendRequestEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpClientConnection

      `flush, isResponseAvailable, receiveResponseEntity, sendRequestEntity`

    - ### Methods inherited from interface org.apache.http.HttpInetConnection

      `getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

    - ### Methods inherited from interface org.apache.http.HttpConnection

      `getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout`

- - ### Constructor Detail

    - #### DefaultClientConnection

          public DefaultClientConnection()

      Deprecated.

  - ### Method Detail

    - #### getId

          public String getId()

      Deprecated.
      Description copied from interface: `ManagedHttpClientConnection`
      Returns connection ID which is expected to be unique for the life span of the connection manager.
      Specified by:
        `getId` in interface `ManagedHttpClientConnection`

    - #### getTargetHost

          public final org.apache.http.HttpHost getTargetHost()

      Deprecated.
      Description copied from interface: `OperatedClientConnection`
      Obtains the target host for this connection. If the connection is to a proxy but not tunnelled, this is the proxy. If the connection is tunnelled through a proxy, this is the target of the tunnel.

      The return value is well-defined only while the connection is open. It may change even while the connection is open, because of an `update`.

      Specified by:
        `getTargetHost` in interface `OperatedClientConnection`
      Returns:
        the host to which this connection is opened

    - #### isSecure

          public final boolean isSecure()

      Deprecated.
      Description copied from interface: `OperatedClientConnection`
      Indicates whether this connection is secure. The return value is well-defined only while the connection is open. It may change even while the connection is open, because of an `update`.
      Specified by:
        `isSecure` in interface `OperatedClientConnection`
      Returns:
        `true` if this connection is secure, `false` otherwise

    - #### getSocket

          public final Socket getSocket()

      Deprecated.
      Description copied from interface: `OperatedClientConnection`
      Obtains the socket for this connection. The return value is well-defined only while the connection is open. It may change even while the connection is open, because of an `update`.
      Specified by:
        `getSocket` in interface `ManagedHttpClientConnection`
      Specified by:
        `getSocket` in interface `OperatedClientConnection`
      Overrides:
        `getSocket` in class `org.apache.http.impl.SocketHttpClientConnection`
      Returns:
        the socket for communicating with the `target host`

    - #### getSSLSession

          public SSLSession getSSLSession()

      Deprecated.
      Description copied from interface: `ManagedHttpClientConnection`
      Obtains the SSL session of the underlying connection, if any. If this connection is open, and the underlying socket is an `SSLSocket`, the SSL session of that socket is obtained. This is a potentially blocking operation.
      Specified by:
        `getSSLSession` in interface `ManagedHttpClientConnection`
      Returns:
        the underlying SSL session if available, `null` otherwise

    - #### opening

          public void opening(Socket sock,
                     org.apache.http.HttpHost target)
                       throws IOException

      Deprecated.
      Description copied from interface: `OperatedClientConnection`
      Signals that this connection is in the process of being open.

      By calling this method, the connection can be re-initialized with a new Socket instance before `OperatedClientConnection.openCompleted(boolean, org.apache.http.params.HttpParams)` is called. This enabled the connection to close that socket if `shutdown` is called before it is fully open. Closing an unconnected socket will interrupt a thread that is blocked on the connect. Otherwise, that thread will either time out on the connect, or it returns successfully and then opens this connection which was just shut down.

      This method can be called multiple times if the connection is layered over another protocol. Note: This method will not close the previously used socket. It is the caller's responsibility to close that socket if it is no longer required.

      The caller must invoke `OperatedClientConnection.openCompleted(boolean, org.apache.http.params.HttpParams)` in order to complete the process.

      Specified by:
        `opening` in interface `OperatedClientConnection`
      Parameters:
        `sock` - the unconnected socket which is about to be connected.
        `target` - the target host of this connection
      Throws:
        `IOException`

    - #### openCompleted

          public void openCompleted(boolean secure,
                           org.apache.http.params.HttpParams params)
                             throws IOException

      Deprecated.
      Description copied from interface: `OperatedClientConnection`
      Signals that the connection has been successfully open. An attempt to call this method on an open connection will cause an exception.
      Specified by:
        `openCompleted` in interface `OperatedClientConnection`
      Parameters:
        `secure` - `true` if this connection is secure, for example if an `SSLSocket` is used, or `false` if it is not secure
        `params` - parameters for this connection. The parameters will be used when creating dependent objects, for example to determine buffer sizes.
      Throws:
        `IOException`

    - #### shutdown

          public void shutdown()
                        throws IOException

      Deprecated.
      Force-closes this connection. If the connection is still in the process of being open (the method `opening` was already called but `openCompleted` was not), the associated socket that is being connected to a remote address will be closed. That will interrupt a thread that is blocked on connecting the socket. If the connection is not yet open, this will prevent the connection from being opened.
      Specified by:
        `shutdown` in interface `org.apache.http.HttpConnection`
      Overrides:
        `shutdown` in class `org.apache.http.impl.SocketHttpClientConnection`
      Throws:
        `IOException` - in case of a problem

    - #### close

          public void close()
                     throws IOException

      Deprecated.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `org.apache.http.HttpConnection`
      Overrides:
        `close` in class `org.apache.http.impl.SocketHttpClientConnection`
      Throws:
        `IOException`

    - #### createSessionInputBuffer

          protected org.apache.http.io.SessionInputBuffer createSessionInputBuffer(Socket socket,
                                                                       int bufferSize,
                                                                       org.apache.http.params.HttpParams params)
                                                                            throws IOException

      Deprecated.
      Overrides:
        `createSessionInputBuffer` in class `org.apache.http.impl.SocketHttpClientConnection`
      Throws:
        `IOException`

    - #### createSessionOutputBuffer

          protected org.apache.http.io.SessionOutputBuffer createSessionOutputBuffer(Socket socket,
                                                                         int bufferSize,
                                                                         org.apache.http.params.HttpParams params)
                                                                              throws IOException

      Deprecated.
      Overrides:
        `createSessionOutputBuffer` in class `org.apache.http.impl.SocketHttpClientConnection`
      Throws:
        `IOException`

    - #### createResponseParser

          protected org.apache.http.io.HttpMessageParser<org.apache.http.HttpResponse> createResponseParser(org.apache.http.io.SessionInputBuffer buffer,
                                                                                                org.apache.http.HttpResponseFactory responseFactory,
                                                                                                org.apache.http.params.HttpParams params)

      Deprecated.
      Overrides:
        `createResponseParser` in class `org.apache.http.impl.AbstractHttpClientConnection`

    - #### bind

          public void bind(Socket socket)
                    throws IOException

      Deprecated.
      Description copied from interface: `ManagedHttpClientConnection`
      Binds this connection to the given socket. The connection is considered open if it is bound and the underlying socket is connection to a remote host.
      Specified by:
        `bind` in interface `ManagedHttpClientConnection`
      Parameters:
        `socket` - the socket to bind the connection to.
      Throws:
        `IOException`

    - #### update

          public void update(Socket sock,
                    org.apache.http.HttpHost target,
                    boolean secure,
                    org.apache.http.params.HttpParams params)
                      throws IOException

      Deprecated.
      Description copied from interface: `OperatedClientConnection`
      Updates this connection. A connection can be updated only while it is open. Updates are used for example when a tunnel has been established, or when a TLS/SSL connection has been layered on top of a plain socket connection.

      Note: Updating the connection will not close the previously used socket. It is the caller's responsibility to close that socket if it is no longer required.

      Specified by:
        `update` in interface `OperatedClientConnection`
      Parameters:
        `sock` - the new socket for communicating with the target host, or `null` to continue using the old socket. If `null` is passed, helper objects that depend on the socket should be re-used. In that case, some changes in the parameters will not take effect.
        `target` - the new target host of this connection
        `secure` - `true` if this connection is now secure, `false` if it is not secure
        `params` - new parameters for this connection
      Throws:
        `IOException`

    - #### receiveResponseHeader

          public org.apache.http.HttpResponse receiveResponseHeader()
                                                             throws org.apache.http.HttpException,
                                                                    IOException

      Deprecated.
      Specified by:
        `receiveResponseHeader` in interface `org.apache.http.HttpClientConnection`
      Overrides:
        `receiveResponseHeader` in class `org.apache.http.impl.AbstractHttpClientConnection`
      Throws:
        `org.apache.http.HttpException`
        `IOException`

    - #### sendRequestHeader

          public void sendRequestHeader(org.apache.http.HttpRequest request)
                                 throws org.apache.http.HttpException,
                                        IOException

      Deprecated.
      Specified by:
        `sendRequestHeader` in interface `org.apache.http.HttpClientConnection`
      Overrides:
        `sendRequestHeader` in class `org.apache.http.impl.AbstractHttpClientConnection`
      Throws:
        `org.apache.http.HttpException`
        `IOException`

    - #### getAttribute

          public Object getAttribute(String id)

      Deprecated.
      Specified by:
        `getAttribute` in interface `org.apache.http.protocol.HttpContext`

    - #### removeAttribute

          public Object removeAttribute(String id)

      Deprecated.
      Specified by:
        `removeAttribute` in interface `org.apache.http.protocol.HttpContext`

    - #### setAttribute

          public void setAttribute(String id,
                          Object obj)

      Deprecated.
      Specified by:
        `setAttribute` in interface `org.apache.http.protocol.HttpContext`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.